Draft FlipDimension/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(4 intermediate revisions by 3 users not shown)
Line 4: Line 4:
|[[Draft_Slope|Slope]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconR=Draft_Shape2DView.svg
Line 14: Line 14:
|Name=Draft FlipDimension
|Name=Draft FlipDimension
|Name/ru=Draft FlipDimension
|Name/ru=Draft FlipDimension
|Workbenches=[[Draft Module/ru|Draft]], [[Arch Module/ru|Arch]]
|MenuLocation=Черчение → Утилиты → Перевернуть размер
|MenuLocation=Черчение → Утилиты → Перевернуть размер
|Workbenches=[[Draft_Workbench/ru|Draft]], [[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Draft Dimension/ru|Размер]]
|SeeAlso=[[Draft Dimension/ru|Размер]]
}}
}}
Line 39: Line 39:
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.
* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.


==Scripting==
<span id="Scripting"></span>
==Программирование==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].
Line 45: Line 46:
To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.
To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.


Пример:
Example:


{{Code|code=
{{Code|code=
Line 67: Line 68:
|[[Draft_Slope|Slope]]
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Module|Draft]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconR=Draft_Shape2DView.svg

Latest revision as of 19:54, 7 December 2023

Draft FlipDimension

Системное название
Draft FlipDimension
Расположение в меню
Черчение → Утилиты → Перевернуть размер
Верстаки
Draft, Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Размер

Description

Описание

Когда в 2D-режиме текст Draft dimensions отображается в соответствии с размерной строкой. Инструмент измерения всегда пытается показать вам размерный текст на правильной стороне размерной линии, в зависимости от того, где вы его просматриваете. В некоторых случаях, однако, направление просмотра может не отражать намерения зрителя, и ориентация текста измерения может быть инвертирована. Этот инструмент инвертирует эту ориентацию на выбранных объектах dimension.

Usage

Использование

  1. Выберите один или несколько объектов dimension
  2. Нажмите кнопку Flip Dimension

Notes

  • Draft Dimensions also have a ДанныеFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Программирование

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Пример:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()